#ifndef HAMMING_GEN_H
#define HAMMING_GEN_H

int get_parity_bits(int k);
void generate_matrix(int *matrix, int k, int r);
void generate_opt_matrix(int *matrix, int k, int r);
int write_vhdl_pkg(const char *prefix, int bfm, const int *matrix, int k, int r);
int write_sim_script(int k, int r);


#endif
